petsc-3.12.1 2019-10-22
Report Typos and Errors

# TS2SetSolution

Sets the initial solution and time derivative vectors for use by the TS routines handling second order equations.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TS2SetSolution(TS ts,Vec u,Vec v)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| u | - the solution vector
| v | - the time derivative vector

### Level

beginner

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages